# $Revision: 1.39 $, $Date: 2004/05/07 01:12:26 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
			# require IMAP server access
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	IMAP
%define		pnam	Admin
Summary:	IMAP::Admin Perl module
Summary(cs):	Modul IMAP::Admin pro Perl
Summary(da):	Perlmodul IMAP::Admin
Summary(de):	IMAP::Admin Perl Modul
Summary(es):	Mdulo de Perl IMAP::Admin
Summary(fr):	Module Perl IMAP::Admin
Summary(it):	Modulo di Perl IMAP::Admin
Summary(ja):	IMAP::Admin Perl ⥸塼
Summary(ko):	IMAP::Admin  
Summary(nb):	Perlmodul IMAP::Admin
Summary(pl):	Modu Perla IMAP::Admin
Summary(pt):	Mdulo de Perl IMAP::Admin
Summary(pt_BR):	Mdulo Perl IMAP::Admin
Summary(ru):	  Perl IMAP::Admin
Summary(sv):	IMAP::Admin Perlmodul
Summary(uk):	  Perl IMAP::Admin
Summary(zh_CN):	IMAP::Admin Perl ģ
Name:		perl-IMAP-Admin
Version:	1.6.1
Release:	4
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8215f41efca2d96b5e2902b8e413a751
Patch0:		%{name}-paths.patch
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
IMAP::Admin provides basic IMAP server adminstration. It provides
functions for creating and deleting mailboxes and setting various
information such as quotas and access rights.

%description -l pl
IMAP::Admin umoliwia podstawowe administrowanie serwerem IMAP.
Udostpnia funkcje do tworzenia i usuwania skrzynek pocztowych oraz
ustawiania rnych parametrw takich jak quota czy prawa dostpu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes examples/*
%{perl_vendorlib}/IMAP
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-IMAP-Admin.spec,v $
Revision 1.39  2004/05/07 01:12:26  ankry
- rel. 4

Revision 1.38  2004/05/06 18:09:42  ankry
- fixed perl-devel BR

Revision 1.37  2004/04/24 16:44:53  ankry
- tests added (but disabled)

Revision 1.36  2004/04/22 12:52:33  ankry
- license fixes & unification

Revision 1.35  2004/02/18 15:29:33  qboosh
- s/no/nb/ in Summary langs

Revision 1.34  2003/09/09 10:24:38  ankry
- spaces -> tab

Revision 1.33  2003/08/18 08:08:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.32  2003/05/28 13:00:42  malekith
- massive attack: source-md5

Revision 1.31  2003/05/25 06:24:40  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/04/11 18:59:24  radek
- BR: perl-devel; do not BR: perl

Revision 1.29  2003/03/01 19:37:07  radek
- should be ready for perl-5.8.0; release++

Revision 1.28  2003/02/25 00:39:26  radek
- use the __perl macro

Revision 1.27  2003/02/18 15:33:27  ankry
- massive attack: change CPAN URLs

Revision 1.26  2002/07/18 13:26:48  ankry
- translations, cleaning
- added %%{perl_sitelib}/IMAP
- release 2

Revision 1.25  2002/07/11 13:00:58  qboosh
- new %%doc, cosmetics

Revision 1.24  2002/07/11 08:00:14  depesz
- new version; should work; STBR

Revision 1.23  2002/07/10 08:47:40  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.22  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.21  2002/02/25 10:32:15  depesz
cleanup; revision++

Revision 1.20  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/02/13 14:17:35  depesz
automatic: Source location unified, Relase Up

Revision 1.18  2002/02/10 15:27:49  depesz
adapterized

Revision 1.17  2002/01/18 02:14:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.16  2001/11/28 15:20:17  mis
- buildarch noarch; release++

Revision 1.15  2001/11/27 16:40:39  mis
- autoupdated to 1.6.0

Revision 1.14  2001/08/20 09:26:11  mis
- autoupdated to 1.5.1

Revision 1.13  2001/04/17 12:10:54  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.12  2001/04/14 18:00:07  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.11  2001/02/19 14:09:53  mis
- updated (by autoup) to 1.4.3

Revision 1.10  2001/01/08 22:07:16  kloczek
- release 2: rebuild against perl 5.6 and use rpm automation.

Revision 1.9  2000/09/20 23:46:05  kloczek
- updated to 1.3.0,
- updated %%files list.

Revision 1.8  2000/06/09 07:54:47  kloczek
- more %%{__make} macros.

Revision 1.7  2000/06/09 07:23:37  kloczek
- added using %%{__make} macro.

Revision 1.6  2000/05/20 21:58:00  kloczek
- spec adapterized.

Revision 1.5  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 16:54:54  baggins
- translated kloczkish into english

Revision 1.3  2000/02/17 23:56:48  pius
- updated to 1.0.1

Revision 1.2  1999/11/05 18:42:14  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
